Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class HaltedProcessInstanceData

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ProcessInstanceData
          com.tibco.bpm.web.client.model.types.HaltedProcessInstanceData

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class HaltedProcessInstanceData

extends ProcessInstanceData

TODO Give a useful description of the type.

©2012 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`HaltedProcessInstanceData()`

Method Summary
`java.lang.String` | `getActivityFaultName()`
`java.util.HashMap<java.lang.String,java.lang.String>` | `getCustomAttributes()`
`void` | `setActivityFaultName(java.lang.String activityFaultName)`
`void` | `setCustomAttributes(java.util.HashMap<java.lang.String,java.lang.String> customAttributes)`

Methods inherited from class com.tibco.bpm.web.client.model.types.ProcessInstanceData
`equals, getDuration, getEndTime, getErrorMsg, getFailedActivity, getFailedDateTime, getOriginator, getPriority, getProcessId, getProcessState, getStartTime, getTemplate, setDuration, setEndTime, setErrorMsg, setFailedActivity, setFailedDateTime, setOriginator, setPriority, setProcessId, setProcessState, setStartTime, setTemplate, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HaltedProcessInstanceData

    public HaltedProcessInstanceData()

Method Detail

### getCustomAttributes

    public java.util.HashMap<java.lang.String,java.lang.String> getCustomAttributes()

### setCustomAttributes

    public void setCustomAttributes(java.util.HashMap<java.lang.String,java.lang.String> customAttributes)

### getActivityFaultName

    public java.lang.String getActivityFaultName()

### setActivityFaultName

    public void setActivityFaultName(java.lang.String activityFaultName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.